# speech-dispatcher

The goal of Speech Dispatcher project is to provide a high-level device independent layer for speech synthesis through a simple, stable and well documented interface.
Key features:
 * Common interface to different TTS engines
 * Handling concurrent synthesis requests – requests may come assynchronously from multiple sources within an application and/or from more different applications
 * Subsequent serialization, resolution of conflicts and priorities of incomming requests
 * Context switching – state is maintained for each client connection independently, event for connections from within one application
 * High-level client interfaces for popular programming languages
 * Common sound output handling – audio playback is handled by Speech Dispatcher rather than the TTS engine, since most engines have limited sound output capabilities

What is a very high level GUI library to graphics, Speech Dispatcher is to speech synthesis.
The application neither needs to talk to the devices directly nor to handle concurrent access, sound output and other tricky aspects of the speech subsystem.

